/*
 *  GOL - Game of life simulation software
 *  Copyright (C) 1996 Michael Raymond Brown
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Michael Raymond Brown
 *  EMail:  michael@arrakeen.demon.co.uk
 *  WWW:    http://www.arrakeen.demon.co.uk/
 *  Address:  Michael Brown
 *            Kia Ora
 *            Brook Street
 *            Great Bromley
 *            Nr Colchester
 *            Essex
 *            CO7 7HX
 *            England
 */


#ifndef _tButton_h
#define _tButton_h

#ifdef __GNUC__
#pragma interface
#endif


#include "Widget.h"
#include <Xm/PushB.h>

class xwButton : public xwWidget
   {private:
	static void cbArm(Widget, XtPointer, XtPointer);
	static void cbDisarm(Widget, XtPointer, XtPointer);
	static void cbIdle(XtPointer client, XtIntervalId*);

	void doClick(XtPointer);

	int  auto_on;
	int  auto_delay;
	int  auto_speed;
	int  armed;
	XtIntervalId int_id;

    protected:
	void init();
	inline xwButton() { }

    public:
	xwButton(xwWidget* p, const char* name, int x1, int y1, int x2, int y2);
	xwButton(xwWidget* p, const char* name);
	~xwButton();

	void setDelay(int delay);
	int  getDelay();

	void setSpeed(int delay);
	int  getSpeed();

	void setAuto(int auto_on);
	int  getAuto();
   };

#endif

